activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lichtin <lich...@yahoo.com>
Subject Re: KahaDb issue (Detected missing journal files) when upgrading from 5.12.2 to 5.14.0
Date Fri, 02 Sep 2016 09:09:20 GMT
I read through all release notes 5.13.x and 5.14.0 and cannot find a KahaDb
incompatibility issue.
This is quite an unexpected blocker for anyone trying to upgrade to 5.14.0.

Will try temporarily setting ignoreMissingJournalfiles=true and see it if
comes up, then later try changing it back.


Martin Lichtin wrote
> When trying to upgrade from 5.12.2 to 5.14.0 we encounter this exception
> at startup: 
> 
> Caused by: java.io.IOException: Detected missing journal files. [3]
> at
> org.apache.activemq.store.kahadb.MessageDatabase.recoverIndex(MessageDatabase.java:978)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MessageDatabase$5.execute(MessageDatabase.java:714)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.disk.page.Transaction.execute(Transaction.java:779)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MessageDatabase.recover(MessageDatabase.java:711)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MessageDatabase.open(MessageDatabase.java:464)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MessageDatabase.load(MessageDatabase.java:483)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MessageDatabase.doStart(MessageDatabase.java:297)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.KahaDBStore.doStart(KahaDBStore.java:216)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.util.ServiceSupport.start(ServiceSupport.java:55)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.KahaDBPersistenceAdapter.doStart(KahaDBPersistenceAdapter.java:223)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.util.ServiceSupport.start(ServiceSupport.java:55)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.store.kahadb.MultiKahaDBPersistenceAdapter.doStart(MultiKahaDBPersistenceAdapter.java:355)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.util.ServiceSupport.start(ServiceSupport.java:55)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.broker.BrokerService.doStartPersistenceAdapter(BrokerService.java:674)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.broker.BrokerService.startPersistenceAdapter(BrokerService.java:658)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.broker.BrokerService.start(BrokerService.java:622)[102:org.apache.activemq.activemq-osgi:5.14.0]
> at
> org.apache.activemq.osgi.ActiveMQServiceFactory.updated(ActiveMQServiceFactory.java:140)[102:org.apache.activemq.activemq-osgi:5.14.0]
> ... 7 more
> 
> So can't upgrade... Downgrading to 5.12.2, it starts just fine with the
> same Kahadb files.
> Has perhaps an incompatibility been introduced?





--
View this message in context: http://activemq.2283324.n4.nabble.com/KahaDb-issue-Detected-missing-journal-files-when-upgrading-from-5-12-2-to-5-14-0-tp4716052p4716100.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message